Skip to content

Export page to PDF
Unspecified vulnerability in the Java Runtime Environment
CVE ID
CVE-2011-3544
Severity
Critical

Description


Unspecified vulnerability in theJava Runtime Environment component in Oracle Java SE JDK and JRE allows remote untrusted Java Web Start applications and untrusted Java applets to affect confidentiality, integrity, and availability via unknown vectors related to scripting.

Solution

Trend Micro Deep Security shields the following vulnerabilities using the specified filter identifiers. Trend Micro clients using OfficeScan with the Intrusion Defense Firewall plugin are also protected from exploits using these vulnerabilities.


Bulletin ID Vulnerability ID Rule Number & Title Deep Security Pattern Version Deep Security Pattern Release Date
CVE-2011-3544 1004867 - Oracle Java SE Rhino Script Engine Remote Code Execution Vulnerability 11-034 Dec 6, 2011
CVE-2011-3544 1004870 -Identified Suspicious JAR file Dec 21, 2011
Patch: http://www.oracle.com/technetwork/topics/security/javacpuoct2011-443431.html
Affected software and version:

Oracle Java JDK and JRE 7
Oracle JDK and JRE 7
Oracle JDK and JRE 5.0 Update 31 and earlier
Oracle SDK and JRE 1.4.2_33 and earlier
Oracle JavaFX 2.0
Oracle JRockit R28.1.4 and earlier (JDK and JRE 6 and 5.0)


Connect with us on